# Class: Person

## docstrap/person. Person

#### new Person()

  Integer quis ante ut nulla cursus vehicula id eu dolor. Phasellus ut facilisis felis. Praesent eget metus id massa pretium lobortis a et metus. Aliquam erat volutpat. Nulla ac tortor odio, quis facilisis augue. In hendrerit, lectus mollis elementum vestibulum, velit nisi aliquet orci, vitae luctus risus dui sed nisi. Donec aliquam pretium leo sed ultrices. Duis porttitor pharetra vulputate. Aenean sed neque sit amet arcu auctor placerat eget ac tellus. Proin porttitor fringilla eros quis scelerisque. Aliquam erat volutpat.

  Source:
    - person.js, line 13

### Members

#### eyes :number

  Aenean commodo lorem nec sapien suscipit quis hendrerit dui feugiat. Curabitur pretium congue sollicitudin. Nam eleifend ultricies libero vel iaculis. Maecenas vel elit vel lorem lacinia pellentesque. Vestibulum posuere suscipit lacus, sit amet volutpat erat sagittis vitae. Ut eleifend pretium nulla vitae tempor.

  ##### Type:

  - number
  Source:
    - person.js, line 19

#### mouth :number

  Vestibulum viverra magna nec lectus imperdiet in lacinia ante iaculis. Cras nec urna tellus, eget convallis mauris. Fusce volutpat elementum enim, vel fringilla orci elementum vehicula. Nunc in ultrices sem. Sed augue tortor, pellentesque sed suscipit sed, vehicula eu enim.

  ##### Type:

  - number
  Source:
    - person.js, line 29

#### nose :number

  Donec tempus vestibulum nunc. Fusce at eleifend nisi. Proin nisl odio, ultrices fermentum eleifend nec, pellentesque in massa. Cras id turpis diam, vitae fringilla turpis. Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Aliquam tempus urna in lacus semper sodales. Etiam a erat in augue rhoncus porta. Aenean nec odio lorem, a tristique dui.

  ##### Type:

  - number
  Source:
    - person.js, line 24

### Methods

#### think(well, done)

  Aliquam interdum lectus ac diam tincidunt vitae fringilla justo faucibus.

  ##### Parameters:

  Name | Type | Description
  --- | --- | ---
  `well` | Boolean | Morbi sit amet tellus at justo tempus tristique.
  `done` | function | Curabitur id nulla mauris, id hendrerit magna. ###### Properties
  Name | Type | Argument | Description
  --- | --- | --- | ---
  `err` | object | <optional> | Sed pulvinar mollis arcu, at tempus dui egestas cursus.

  Source:
    - person.js, line 46

#### tickle() → {boolean}

  Lorem ipsum dolor sit amet, consectetur adipiscing elit. Morbi congue viverra placerat. Mauris mi nibh, pulvinar ut placerat sit amet, aliquam a diam. Maecenas vitae suscipit nulla. Sed at justo nec ante lobortis fermentum. Quisque sodales libero suscipit mi malesuada pretium. Cras a lectus vitae risus semper sagittis. Sed ultrices aliquet tempus. Nulla id nisi metus, sit amet elementum tortor. Nunc tempor sem quis augue tempor sed posuere nulla volutpat. Phasellus fringilla pulvinar lorem quis venenatis.

  Source:
    - person.js, line 55

  ##### Fires:

  - module:docstrap/person.Person#event:sneeze

  ##### Returns:

  Sed id erat ut ipsum scelerisque venenatis at nec mauris.

  Type
    boolean

#### walk(speed)

  Lorem ipsum dolor sit amet, consectetur adipiscing elit. Morbi congue viverra placerat. Mauris mi nibh, pulvinar ut placerat sit amet, aliquam a diam. Maecenas vitae suscipit nulla. Sed at justo nec ante lobortis fermentum. Quisque sodales libero suscipit mi malesuada pretium. Cras a lectus vitae risus semper sagittis. Sed ultrices aliquet tempus. Nulla id nisi metus, sit amet elementum tortor. Nunc tempor sem quis augue tempor sed posuere nulla volutpat. Phasellus fringilla pulvinar lorem quis venenatis.

  ##### Parameters:

  Name | Type | Description
  --- | --- | ---
  `speed` | boolean | Phasellus ut facilisis felis.

  Source:
    - person.js, line 36

### Events

#### sneeze

  Neque porro quisquam est qui dolorem ipsum quia dolor sit amet, consectetur, adipisci velit.

  ##### Type:

  - object
  Source:
    - person.js, line 59